Subject: Re: linux-next: build failure after merge of the integrity tree

From: Mimi Zohar <[email-masked]>
Date: Tue, 06 Aug 2019 15:02:16 -0400

Hi Stephen,

On Tue, 2019-08-06 at 13:45 +1000, Stephen Rothwell wrote:
> Hi Thiago,
> 
> On Tue, 06 Aug 2019 00:18:06 -0300 Thiago Jung Bauermann <[email-masked]> wrote:
> >
> > Sorry for the trouble. I wasn't aware of that build time check.
> > I'll enable HEADER_TEST and KERNEL_HEADER_TEST for my next patches.

ditto

> 
> I do allmodconfig builds which enable those.
> 
> > Thanks for providing the fix. Should I post a new version or can Mimi
> > squash the above into the original patch?
> 
> Up to Mimi, but either works (or just committing my patch if the tree is
> normally not rebased).

Based on the new "Documentation/maintainer/rebasing-and-merging.rst",
I'm under the impression that we shouldn't be rebasing, even for
"just" adding tags.  Waiting for tags before pushing out to next-
integrity is causing delays, but we're trying out this approach.  So
for now, I've included your commit.

thanks,

Mimi